WFS Cache Features option does not work anymore

2015-09-22 10:45 PM - zicke -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21452

Description

In older versions the "Cache Features" option could be used for downloading only the features of the current map extent. When zooming

and/or panning the feature request was repeated. At the moment it only downloads the features intersection the current map extent once

but does not refresh requests after zooming/panning.

Related issues:

Related to QGIS Application - Bug report # 13117: cached wfs not downloading ... Closed 2015-07-15

History

#1 - 2015-09-23 10:14 PM - zicke -

- Priority changed from Normal to Severe/Regression

#2 - 2015-09-23 11:53 PM - Jukka Rahkonen

If I have understood it right the meaning is that if "Cache Features" is checked then features are really cached as the name suggests and only one

GetFeature with the BBOX of the map view is fired . New zoom/pan will not lead to new GetFeatures. If "Cache Features" is unchecked QGIS should be in

a live mode and make a new GetFeature request after every zoom/pan. This may be simplified, I am remembering that if the new BBOX is totally inside the

previous one then new GetFeature is not done because it is really not needed.

Your description may still be right because I have a feeling that since QGIS 1.8 the behaviour with Cache features has been somewhat unstable. What do

you exactly mean with "older versions"?

#3 - 2015-09-28 10:07 PM - zicke -

It works with QGIS 1.8.

#4 - 2016-01-16 03:22 AM - Jeremy Palmer

- Status changed from Open to Closed

This is now fixed in master commit:188625c

closing

2024-03-13 1/1


